Contacts

Create a contact

POST /contacts/contact

Create a contact in Polser with the provided profile details.

Headers

Name
Value

Content-Type

application/json

Authorization

your-api-key

Body

phone will be the unique identifier for the new contact. If the contact already exists, the method will update their details.

{
  "contact": {
    "phone": "+44XXXXXXXXX",
    "name": "John Smith",
    "labels": "Newsletter Subscriber, Future Candidate",
    "enhanced_data": {
      "Outstanding payments": [
        {
          "text": "INV-2812381_456",
          "description": "Since 13 Aug 2024",
          "link": "www.google.com"
        }
      ],
      "Other data": [
        {
          "text": "CRM ID",
          "description": "View details",
          "link": "www.google.com"
        }
      ]
    }
  }
}

Export contacts

POST /contacts/export

Export all your contacts in CSV format, including all the additional data points you may have synced from third party integrations.

Headers

Name
Value

Content-Type

application/json

Authorization

your-api-key

Body

email is the recipients email to which Polser will send the exported contacts list.

Delete a contact

DELETE /contacts/{phone_number}

Delete a contact and all the related data by providing a phone number. Warning: there is no way to recover this data so be mindful when using this operation.

Headers

Name
Value

Content-Type

application/json

Authorization

your-api-key

URL Parameters

Name
Value

phone_number

34XXXXXXXXXXX

Contact phone number with country code but without the plus sign

Response

The contact was deleted successfully, alongside any messages they had exchanged with Polser.

Last updated